Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://demo.enneo.ai/api/mind/roles \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Admin", "description": "Handles administrative tasks", "baseRoleId": 1, "permissions": [ "updateClientSettings" ] } '
JWT-based authentication
The name of the role
"Admin"
The description of the role
"Handles administrative tasks"
The ID of the base role
1
The permissions to assign to the new role
The name of the permission to assign to the new role
Role added successfully